/*
 * Web Font Loader
 * Developer: J.P. Fortier
 * Date: 7/23/2018
 */
define(function () {

    const install = function (context) {

        const webFontHostName = context.getParameter("WebFontHostName");
        const webFontName = context.getParameter("WebFontName");
        const mediaString = context.getParameter("LinkMediaString");
        const fontId = "webfont" + webFontName.replace(" ", "").toLowerCase();

        if (!document.getElementById(fontId)) {
			var head = document.getElementsByTagName('head')[0];
			var link = document.createElement('link');
			link.id = fontId;
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = webFontHostName + webFontName;
			link.media = mediaString;
			head.appendChild(link);
        }
    };

    return {
        callbacks: {
            install: install
        }
    };
});